# DomainUpDown

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [UpDownBase](/api/v3.0/wisej.web/editors/wisej.web.updownbase.md)
    * [DomainUpDown](/api/v3.0/wisej.web/editors/domainupdown.md)

Represents a spinner control that displays string values.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DomainUpDown : UpDownBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DomainUpDown
    Inherits UpDownBase
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)DomainUpDown()

Initializes a new instance of the [NumericUpDown](/api/v3.0/wisej.web/editors/wisej.web.numericupdown.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Items

[DomainUpDownItemCollection](/api/v3.0/wisej.web/editors/domainupdown/wisej.web.domainupdown.domainupdownitemcollection.md): A collection of objects assigned to the spinner control.

### ![](/files/uCY6T77rh488FWHzpJ6P)SelectedIndex

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the index value of the selected item.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the default, -1; or the assigned value is greater than the [Items](#items) count.

### ![](/files/uCY6T77rh488FWHzpJ6P)SelectedItem

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Returns or sets the selected item based on the index value of the selected item in the collection.

### ![](/files/uCY6T77rh488FWHzpJ6P)Sorted

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the item collection is sorted.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text associated with this control.

When AllowHtml is set to true, the text can contain HTML content. If the text contains new lines (CRLF) but doesn't contain HTML elements (at least one "<") all CRLF are automatically substituted with "\
".

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)SelectedItemChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [SelectedItem](#selecteditem) property has been changed.

### ![](/files/uCY6T77rh488FWHzpJ6P)SortedChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [Sorted](#sorted) property has changed.

## Implements

| Name                                                                                   | Description                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                             |
| [ILabel](/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.0/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.  |
| [IReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode. |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                            |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface.                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/editors/domainupdown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
